"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TypedEmitter = void 0;
const events_1 = require("events");
class TypedEmitter {
    constructor() {
        this.emitter = new events_1.EventEmitter();
    }
    on(eventName, fn) {
        this.emitter.on(eventName, fn);
        return this;
    }
    off(eventName, fn) {
        this.emitter.off(eventName, fn);
        return this;
    }
    emit(eventName, params) {
        return this.emitter.emit(eventName, params);
    }
}
exports.TypedEmitter = TypedEmitter;
