/// <reference types="node" />
import { URL } from "url";
import { Twilio } from "twilio";
import { Call, TwilioConnectionEvents } from "./twilio";
import { Caller, RequestedCall } from "./Caller";
import { TestSubject } from "../testRunner";
export interface TwilioMediaStreamStartEvent {
    event: TwilioConnectionEvents.MediaStreamStart;
    streamSid: string;
    start: {
        customParameters: {
            from: string;
            to: string;
        };
    };
}
export declare class TwilioCaller implements Caller<TestSubject> {
    private readonly twilioClient;
    private static debug;
    constructor(twilioClient: Twilio);
    private static addParameters;
    static extractParameters(event: TwilioMediaStreamStartEvent): Call;
    call(call: TestSubject, streamUrl: URL | string): Promise<RequestedCall>;
}
