import { TranscriberPlugin, TranscriptEvent } from "./plugin/TranscriberPlugin";
import { Call } from "../Call";
import { TypedEmitter } from "../../Emitter";
declare class PromptTranscriptionBuilder {
    private static readonly EMPTY_TRANSCRIPTION;
    private transcriptions;
    add(event: TranscriptEvent): void;
    clear(): void;
    merge(): string;
}
export interface PromptTranscriptionEvent {
    transcription: string;
    isComplete: boolean;
}
export declare type CallTranscriptionEvents = {
    transcription: PromptTranscriptionEvent;
};
export declare class CallTranscriber extends TypedEmitter<CallTranscriptionEvents> {
    private readonly call;
    private readonly transcriber;
    private readonly completeTranscriptionTimeoutInMs;
    private readonly promptTranscriptionBuilder;
    private static debug;
    private readonly processMessageRef;
    private readonly closeRef;
    private timeout;
    constructor(call: Call, transcriber: TranscriberPlugin, completeTranscriptionTimeoutInMs: number, promptTranscriptionBuilder?: PromptTranscriptionBuilder);
    private processMessage;
    private close;
    private saveAndEmitPartialTranscript;
    private emitFinalTranscript;
    private clearTimer;
    private collectUntilPause;
}
export {};
