"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConfigurationError = void 0;
class ConfigurationError extends Error {
    constructor(propertyName, reason) {
        super(`${propertyName} - ${reason}`);
        this.propertyName = propertyName;
        this.reason = reason;
        // Set the prototype explicitly.
        Object.setPrototypeOf(this, ConfigurationError.prototype);
    }
    getProperty() {
        return this.propertyName;
    }
    getReason() {
        return this.reason;
    }
}
exports.ConfigurationError = ConfigurationError;
