"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.populateDefaults = void 0;
const getenv = __importStar(require("getenv"));
const UlawDtmfBufferGenerator_1 = require("../call/dtmf/UlawDtmfBufferGenerator");
const twilio_1 = require("twilio");
const TwilioCallServer_1 = require("../testing/TwilioCallServer");
const getPublicServerUrl = (config) => {
    const publicServerUrl = getenv.string("PUBLIC_SERVER_URL", config.publicServerUrl || "");
    return publicServerUrl
        ? TwilioCallServer_1.TwilioCallServer.convertToWebSocketUrl(publicServerUrl).toString()
        : undefined;
};
const createDefaultClient = () => new twilio_1.Twilio(getenv.string("TWILIO_ACCOUNT_SID"), getenv.string("TWILIO_AUTH_TOKEN"));
// TODO Replace with avj or maybe https://www.npmjs.com/package/convict
const populateDefaults = (config) => ({
    dtmfGenerator: config.dtmfGenerator || new UlawDtmfBufferGenerator_1.UlawDtmfBufferGenerator(),
    transcriber: config.transcriber,
    completeTranscriptionTimeoutInMs: config.completeTranscriptionTimeoutInMs || 5 * 2000,
    localServerPort: getenv.int("LOCAL_SERVER_PORT", config.localServerPort),
    publicServerUrl: getPublicServerUrl(config),
    recording: config.recording,
    twilioClient: config.twilioClient || createDefaultClient(),
    msTimeoutWaitingForCall: config.msTimeoutWaitingForCall || 30 * 1000,
});
exports.populateDefaults = populateDefaults;
