import { IvrTesterPlugin } from "./IvrTesterPlugin";
import { CallServer } from "../testing/TwilioCallServer";
import { TypedEmitter } from "../Emitter";
import { RequestedCall } from "../call/Caller";
export interface CallRequestedEvent {
    requestedCall: RequestedCall;
    total: number;
}
export interface CallRequestErroredEvent {
    error: Error;
}
export interface CallServerStartedEvent {
    callServer: CallServer;
}
export declare type PluginEvents = {
    callServerStarted: CallServerStartedEvent;
    callRequested: CallRequestedEvent;
    callRequestErrored: CallRequestErroredEvent;
};
export declare class PluginManager extends TypedEmitter<PluginEvents> {
    private readonly plugins;
    constructor(plugins: IvrTesterPlugin[]);
    initialise(): void;
    serverListening(callServer: CallServer): void;
    callRequested(requestedCall: RequestedCall, total: number): void;
    callRequestErrored(error: Error): void;
}
