"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PluginManager = void 0;
const Emitter_1 = require("../Emitter");
class PluginManager extends Emitter_1.TypedEmitter {
    constructor(plugins) {
        super();
        this.plugins = plugins;
    }
    initialise() {
        for (const plugin of this.plugins) {
            plugin.initialise(this);
        }
    }
    serverListening(callServer) {
        this.emit("callServerStarted", { callServer });
    }
    callRequested(requestedCall, total) {
        this.emit("callRequested", {
            requestedCall,
            total,
        });
    }
    callRequestErrored(error) {
        this.emit("callRequestErrored", { error });
    }
}
exports.PluginManager = PluginManager;
