"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultTestExecutor = void 0;
const CallTranscriber_1 = require("../call/transcription/CallTranscriber");
const TestInstanceClass_1 = require("./test/TestInstanceClass");
class DefaultTestExecutor {
    constructor(transcriberFactory, completeTranscriptionTimeoutInMs) {
        this.transcriberFactory = transcriberFactory;
        this.completeTranscriptionTimeoutInMs = completeTranscriptionTimeoutInMs;
    }
    startTest(test, call) {
        const callTranscriber = new CallTranscriber_1.CallTranscriber(call, this.transcriberFactory(), this.completeTranscriptionTimeoutInMs);
        return new TestInstanceClass_1.TestInstanceClass(call, callTranscriber, test);
    }
}
exports.DefaultTestExecutor = DefaultTestExecutor;
