"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IteratingTestAssigner = void 0;
class IteratingTestAssigner {
    constructor(tests) {
        this.tests = tests;
        this.testIterator = tests.entries();
    }
    assign() {
        const testEntry = this.testIterator.next();
        if (!testEntry.done) {
            const [, test] = testEntry.value;
            return { isAssigned: true, test };
        }
        return { isAssigned: false, reason: "All tests already assigned" };
    }
}
exports.IteratingTestAssigner = IteratingTestAssigner;
