"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const hasPart_1 = require("./hasPart");
test("part calls matcher with every part of a sentence", () => {
    const mockWhen = jest.fn();
    hasPart_1.hasPart(mockWhen)("this is. a test");
    expect(mockWhen).toBeCalledWith("this");
    expect(mockWhen).toBeCalledWith("this is.");
    expect(mockWhen).toBeCalledWith("this is. a");
    expect(mockWhen).toBeCalledWith("this is. a test");
    expect(mockWhen).toBeCalledWith("is.");
    expect(mockWhen).toBeCalledWith("is. a");
    expect(mockWhen).toBeCalledWith("is. a test");
    expect(mockWhen).toBeCalledWith("a");
    expect(mockWhen).toBeCalledWith("a test");
    expect(mockWhen).toBeCalledWith("test");
    expect(mockWhen).toBeCalledTimes(10);
});
test("part calls matcher with empty string", () => {
    const mockWhen = jest.fn();
    hasPart_1.hasPart(mockWhen)("");
    expect(mockWhen).toBeCalledWith("");
    expect(mockWhen).toBeCalledTimes(1);
});
