"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.similarTo = void 0;
const string_similarity_1 = require("string-similarity");
/**
 * Compares two strings to determine if they're similar.
 * See https://www.npmjs.com/package/string-similarity#api to read how similarity is calculated.
 *
 * @param similarText - Text that is compared to the transcript for similarity
 * @param similarityThreshold - The degree of similarity is measured in a fraction between 0 and 1.
 * 0 indicates completely different strings, 1 indicates identical strings. The comparison is case-sensitive.
 */
const similarTo = (similarText, similarityThreshold = 0.8) => (transcript) => string_similarity_1.compareTwoStrings(similarText, transcript) >= similarityThreshold;
exports.similarTo = similarTo;
